<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns:context="http://www.springframework.org/schema/context"
       xmlns:aop="http://www.springframework.org/schema/aop"
       xmlns:mvc="http://www.springframework.org/schema/mvc"
       xsi:schemaLocation="
        http://www.springframework.org/schema/beans 
        http://www.springframework.org/schema/beans/spring-beans-4.2.xsd
        http://www.springframework.org/schema/context
        http://www.springframework.org/schema/context/spring-context-4.2.xsd
     	http://www.springframework.org/schema/aop
     	http://www.springframework.org/schema/aop/spring-aop-4.2.xsd
		http://www.springframework.org/schema/mvc
     	http://www.springframework.org/schema/mvc/spring-mvc-4.2.xsd">


    <bean id="wxPayProdProperties" class="com.kmall.api.service.pay.wxpay.WxPayProdProperties">
        <property name="appId" value="${wx.prod.appId}"/>
        <property name="secret" value="${wx.prod.secret}"/>
        <property name="mchId" value="${wx.prod.mchId}"/>
        <property name="paySignKey" value="${wx.prod.paySignKey}"/>

        <property name="tradeType" value="${wx.prod.tradeType}"/>
        <property name="certName" value="${wx.prod.certName}"/>
        <property name="notifyUrl" value="${wx.prod.notifyUrl}"/>
        <property name="getCode" value="${wx.prod.getCode}"/>

        <property name="webAccessTokenhttps" value="${wx.prod.webAccessTokenhttps}"/>
        <property name="userMessage" value="${wx.prod.userMessage}"/>
        <property name="uniformorder" value="${wx.prod.uniformorder}"/>
        <property name="refundUrl" value="${wx.prod.refundUrl}"/>
        <property name="refundqueryUrl" value="${wx.prod.refundqueryUrl}"/>
        <property name="orderquery" value="${wx.prod.orderquery}"/>
        <property name="spbillCreateIp" value="${wx.prod.spbillCreateIp}"/>
        <property name="refundNotifyUrl" value="${wx.prod.refundNotifyUrl}"/>
    </bean>

    <bean id="wxPayDevProperties" class="com.kmall.api.service.pay.wxpay.WxPayDevProperties">
        <property name="appId" value="${wx.dev.appId}"/>
        <property name="secret" value="${wx.dev.secret}"/>
        <property name="mchId" value="${wx.dev.mchId}"/>
        <property name="paySignKey" value="${wx.dev.paySignKey}"/>

        <property name="tradeType" value="${wx.dev.tradeType}"/>
        <property name="certName" value="${wx.dev.certName}"/>
        <property name="notifyUrl" value="${wx.dev.notifyUrl}"/>
        <property name="getCode" value="${wx.dev.getCode}"/>

        <property name="webAccessTokenhttps" value="${wx.dev.webAccessTokenhttps}"/>
        <property name="userMessage" value="${wx.dev.userMessage}"/>
        <property name="uniformorder" value="${wx.dev.uniformorder}"/>
        <property name="refundUrl" value="${wx.dev.refundUrl}"/>
        <property name="refundqueryUrl" value="${wx.dev.refundqueryUrl}"/>
        <property name="orderquery" value="${wx.dev.orderquery}"/>
        <property name="spbillCreateIp" value="${wx.dev.spbillCreateIp}"/>
        <property name="refundNotifyUrl" value="${wx.dev.refundNotifyUrl}"/>
    </bean>


    <bean id="commonWxPayProdProperties" class="com.kmall.common.service.pay.wxpay.CommonWxPayProdProperties">
        <property name="appId" value="${wx.prod.appId}"/>
        <property name="secret" value="${wx.prod.secret}"/>
        <property name="mchId" value="${wx.prod.mchId}"/>
        <property name="paySignKey" value="${wx.prod.paySignKey}"/>

        <property name="tradeType" value="${wx.prod.tradeType}"/>
        <property name="certName" value="${wx.prod.certName}"/>
        <property name="notifyUrl" value="${wx.prod.notifyUrl}"/>
        <property name="getCode" value="${wx.prod.getCode}"/>

        <property name="webAccessTokenhttps" value="${wx.prod.webAccessTokenhttps}"/>
        <property name="userMessage" value="${wx.prod.userMessage}"/>
        <property name="uniformorder" value="${wx.prod.uniformorder}"/>
        <property name="refundUrl" value="${wx.prod.refundUrl}"/>
        <property name="refundqueryUrl" value="${wx.prod.refundqueryUrl}"/>
        <property name="orderquery" value="${wx.prod.orderquery}"/>
        <property name="spbillCreateIp" value="${wx.prod.spbillCreateIp}"/>
        <property name="refundNotifyUrl" value="${wx.prod.refundNotifyUrl}"/>
    </bean>

    <bean id="commonWxPayDevProperties" class="com.kmall.common.service.pay.wxpay.CommonWxPayDevProperties">
        <property name="appId" value="${wx.dev.appId}"/>
        <property name="secret" value="${wx.dev.secret}"/>
        <property name="mchId" value="${wx.dev.mchId}"/>
        <property name="paySignKey" value="${wx.dev.paySignKey}"/>

        <property name="tradeType" value="${wx.dev.tradeType}"/>
        <property name="certName" value="${wx.dev.certName}"/>
        <property name="notifyUrl" value="${wx.dev.notifyUrl}"/>
        <property name="getCode" value="${wx.dev.getCode}"/>

        <property name="webAccessTokenhttps" value="${wx.dev.webAccessTokenhttps}"/>
        <property name="userMessage" value="${wx.dev.userMessage}"/>
        <property name="uniformorder" value="${wx.dev.uniformorder}"/>
        <property name="refundUrl" value="${wx.dev.refundUrl}"/>
        <property name="refundqueryUrl" value="${wx.dev.refundqueryUrl}"/>
        <property name="orderquery" value="${wx.dev.orderquery}"/>
        <property name="spbillCreateIp" value="${wx.dev.spbillCreateIp}"/>
        <property name="refundNotifyUrl" value="${wx.dev.refundNotifyUrl}"/>
    </bean>
</beans>